United StatesChange Country, Oracle Worldwide Web Sites Communities I am a... I want to...
JDK-6916074 : Add support for TLS 1.2

Details
Type:
Enhancement
Submit Date:
2010-01-12
Status:
Closed
Updated Date:
2011-07-27
Project Name:
JDK
Resolved Date:
2011-03-07
Component:
security-libs
OS:
generic,solaris_10
Sub-Component:
javax.net.ssl
CPU:
sparc,generic
Priority:
P3
Resolution:
Fixed
Affected Versions:
1.4.0,5.0u14,6,6u2
Fixed Versions:

Related Reports
Duplicate:
Duplicate:
Duplicate:
Relates:
Relates:
Relates:

Sub Tasks

Description
A DESCRIPTION OF THE REQUEST :
Products are beginning to appear that will not support older versions of SSL/TLS when configured in a more secure mode.

JUSTIFICATION :
TLS 1.2 has been final since August 2008.  See also Bug#4873188 for TLS 1.1 which is over 3 years old.

                                    

Comments
EVALUATION

Would be good to get this done for the next JDK, otherwise would have to wait for the next release.
                                     
2010-05-12
EVALUATION

http://hg.openjdk.java.net/jdk7/build/jdk/rev/9d6a9f65d2bf
                                     
2010-12-04



Hardware and Software, Engineered to Work Together